function [data_vref_trim, temp_trim] = read_data_trim2()

%------------Select Core Device------------
%load('../Vref_Untrimmed/NMOS_CR1.mat');
%Vref_trim = 0.4914;

%load('../Vref_Untrimmed/DTMOS_CR1.mat');
%Vref_trim = 0.5366;

load('../Vref_Untrimmed/PMOS_CR1.mat');
Vref_trim = 0.6180;
%------------------------------------------


T_trim = 150;

%Find in which interval the specified T_trim falls
[x, y] = size(temp);
interval = zeros(x,1);

for k=1:x
   for m=1:y
       if (~(T_trim >= temp(k,m)))
          interval(k,1) = m;
          break;
       end
   end
end


%T_trim is in the interval [temp(k, interval(k,1)-1), temp(k, interval(k,1))]

%Make a linear interpolation between the two points
T = zeros(x,2);         %x-axis for interpolation
Vref = zeros(x,2);      %y-axis for interpolation
Coef = zeros(x,2);      %Coefficients for interpolation

%Find the corresponding temperature axis
for k=1:x
    
    %Avoid problems with out of bound indices
    if (interval(k,1) == 1) %Happens if there is only 1 measurement point
        continue;
    end
    
    %T(k,1) < T_trim < T(k,2)
    T(k,1) = temp(k, interval(k,1)-1);
    T(k,2) = temp(k, interval(k,1));
end

%Find the corresponding reference voltages
for k=1:x

        %Avoid problems with out of bound indices
        if (interval(k,1) == 1)
            continue;
        end   
        
        Vref(k,1) = data_vref(k,interval(k,1)-1);
        Vref(k,2) = data_vref(k,interval(k,1));
      
end

%Find the linear interpolation between the two points

for k=1:x
    Coef(k,:) = polyfit(T(k,:), Vref(k,:), 1);
end


%Evaluation of the interpolation at the trimming temperature
Vref_inter = zeros(x,1);

for k=1:x
    Vref_inter(k,1) = polyval(Coef(k,:), T_trim);
end



%Compute the scaling (gain) of Vref
gain = Vref_trim./Vref_inter;

for k=1:x
   data_vref_trim(k,:) = gain(k,1)*data_vref(k,:); 
end

temp_trim = temp;

end

