clear all;
close all;


%Load data from both batches
load('PMOS_CR1.mat')
data_vref1 = data_vref;     clear data_vref;
temp1 = temp;               clear temp;
T1 = T;                     clear T;
Vref_mu1 = Vref_mu;         clear Vref_mu;
Vref_std1 = Vref_std;       clear Vref_std;
                            
                           

load('PMOS_CR2.mat')
data_vref2 = data_vref;     clear data_vref;
temp2 = temp;               clear temp;
T2 = T;                     clear T;
Vref_mu2 = Vref_mu;         clear Vref_mu;
Vref_std2 = Vref_std;       clear Vref_std;
                            

                            
%Plot everything
figure(1)
hold on
for j=1:28
    plot(temp2(j,:), data_vref2(j,:), '-o', 'Color', [0.9290 0.6940 0.1250]) 
end
for j=[1:24 33:36]
    plot(temp1(j,:), data_vref1(j,:), '-o', 'Color', [0.4660 0.6740 0.1880])    
end

%Plot mean
plot(T2, Vref_mu2,       'Color', [0 0.4470 0.7410], 'LineWidth',3)
plot(T1, Vref_mu1, '--', 'Color', [0 0.4470 0.7410], 'LineWidth',3)

%Plot +/-3sigma
plot(T2, Vref_mu2+3*Vref_std2,       'Color', [0.8500 0.3250 0.0980], 'LineWidth',3);
plot(T2, Vref_mu2-3*Vref_std2,       'Color', [0.8500 0.3250 0.0980], 'LineWidth',3);

plot(T1, Vref_mu1+3*Vref_std1, '--', 'Color', [0.8500 0.3250 0.0980], 'LineWidth',3);
plot(T1, Vref_mu1-3*Vref_std1, '--', 'Color', [0.8500 0.3250 0.0980], 'LineWidth',3);

hold off

%Labels/limits
ylabel('V_{ref} [V]')
xlabel('Temperature [K]')
ylim([0.6 0.73])

grid on
width=270;
height=230;
set(gcf,'units','points','position',[300,300,width,height])
set(gca,'fontweight','bold','fontsize',13)
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

%Plot dummies for legend
hold on
h1 = plot(0, 1, '-o', 'Color', [0.4660 0.6740 0.1880], 'LineWidth', 1.3);
h2 = plot(0, 1, '-o', 'Color', [0.9290 0.6940 0.1250], 'LineWidth', 1.3);
hold off
leg1 = legend([h1 h2], 'Batch 1', 'Batch 2');
set(leg1,...
    'Position',[0.593949988549429 0.775688846605507 0.299999995281299 0.144951136182108]);
legend boxoff



%Mention device type and # of samples
text('FontWeight','bold','FontSize',12,'String','PMOS',...
    'Position',[3.5 0.725917721518987 0]);


text('FontWeight','bold','FontSize',12,...
    'String','Batch 1: 28 Samples',...
    'Position',[107 0.697 0]);
text('FontWeight','bold','FontSize',12,...
    'String','Batch 2: 28 Samples',...
    'Position',[107 0.684 0]);




