%Job van Staveren, 19-02-2022
clear all;
close all;

%Load NMOS data
load('NMOS_Trim.mat')

%Plot everything
figure(1)
hold on
for j=1:36
    plot(temp2(j,:), data_vref2(j,:), '-o', 'Color', [0.9290 0.6940 0.1250]) 
end
for j=[1:12 17 18]
    plot(temp1(j,:), data_vref1(j,:), '-o', 'Color', [0.4660 0.6740 0.1880])    
end

%Plot mean
plot(T, Vref_mu, 'Color', [0 0.4470 0.7410], 'LineWidth',3)

%Plot +/-3sigma
plot(T(1:end-1), Vref_mu(1:end-1)+3*Vref_std(1:end-1), 'Color', [0.8500 0.3250 0.0980], 'LineWidth',3);
plot(T(1:end-1), Vref_mu(1:end-1)-3*Vref_std(1:end-1), 'Color', [0.8500 0.3250 0.0980], 'LineWidth',3);

hold off

%Labels/limits
ylabel('V_{ref} [V]')
xlabel('Temperature [K]')
ylim([0.46 0.54])

grid on
width=270;
height=230;
set(gcf,'units','points','position',[300,300,width,height])
set(gca,'fontweight','bold','fontsize',13)
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

%Plot dummies for legend
hold on
h1 = plot(0, 1, '-o', 'Color', [0.4660 0.6740 0.1880], 'LineWidth', 1.3);
h2 = plot(0, 1, '-o', 'Color', [0.9290 0.6940 0.1250], 'LineWidth', 1.3);
hold off
leg1 = legend([h1 h2], 'Batch 1', 'Batch 2');
set(leg1,...
    'Position',[0.593949988549429 0.775688846605507 0.299999995281299 0.144951136182108]);
legend boxoff



%Mention device type and # of samples
text('FontWeight','bold','FontSize',12,'String','NMOS',...
    'Position',[5.86654912332256 0.536424876169511 0]);

text('FontWeight','bold','FontSize',12,...
    'String','50 Samples',...
    'Position',[8.6144578313253 0.4645 0]);

text('FontWeight','bold','FontSize',12,...
    'String','TC = 258 ppm/K',...
    'Position',[143.253012048193 0.4725 0]);

text('FontWeight','bold','FontSize',12,...
    'String','3{\sigma} = 3.8%',...
    'Position',[143.253012048193 0.4645 0]);
