%Job van Staveren, 19-02-2022
clear all;
close all;

%CoolRef1 data
load('NMOS_CR1_Trim.mat');
data_vref1 = data_vref;
temp1 = temp;
T1 = T;
Vref_full1 = Vref_full;

%CoolRef2 data
load('NMOS_CR2_Trim.mat');
data_vref2 = data_vref;
temp2 = temp;
T2 = T;
Vref_full2 = Vref_full;

clearvars data_vref temp T Vref_full;

%Combination of both T-vectors
T = [4.3 5:1:293];

%Now combine the interpolated curves into a single matrix
Vref_full = NaN*zeros(54,290);
Vref_full(1:18, 63:290) = Vref_full1;
Vref_full(19:54, 1:289) = Vref_full2;

%Compute mu and std (only non-NaN wil be included)
Vref_mu = mean(Vref_full, 'omitnan');
Vref_std = std(Vref_full, 'omitnan');

%Range to be used for computing the TC
Trange = 292-4.3;

%Compute TC and 3sigma
DVref = max([data_vref1(:)' data_vref2(:)']) - min([data_vref1(:)' data_vref2(:)']);
TC = ((DVref/0.4914)/Trange)*1e6
variation = (3*max(Vref_std(:)')/0.4914)*100
