%Job van Staveren, February 10, 2022

clear all;
close all;

load('PCTAT_P.mat')

figure(1)

%Common parameters
grid on
width=370;
height=300;
set(gcf,'units','points','position',[900,300,width,height])
set(gca,'fontweight','bold','fontsize',13)


%Config for left y-axis
yyaxis left
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')
hold on
for j=1:28
    plot(temp2(j,:), data_vctat2(j,:), '-o', 'Color', [0.9290 0.6940 0.1250]) 
end
for j=[1:24 33:36]
    plot(temp1(j,:), data_vctat1(j,:), '-o', 'Color', [0.4660 0.6740 0.1880])    
end
hold off
ylabel('V_{gs6} [V]')
ylim([0.3 0.65])

%Config for right y-axis
yyaxis right
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')
hold on
for j=1:28
    plot(temp2(j,:), data_vptat2(j,:), '-o', 'Color', [0.9290 0.6940 0.1250]) 
end
for j=[1:24 33:36]
    plot(temp1(j,:), data_vptat1(j,:), '-o', 'Color', [0.4660 0.6740 0.1880])    
end
hold off
ylabel('V_{R2} [V]')
ylim([0 0.35])
xlabel('Temperature [K]')


%Plot dummies for legend
hold on
h1 = plot(0, 1, '-o', 'Color', [0.4660 0.6740 0.1880], 'LineWidth', 1.3);
h2 = plot(0, 1, '-o', 'Color', [0.9290 0.6940 0.1250], 'LineWidth', 1.3);
hold off
leg1 = legend([h1 h2], 'Batch 1', 'Batch 2');
set(leg1,...
    'Position',[0.617299402235976 0.812083390128045 0.219066933673971 0.111249997019768]);
legend boxoff



%Place ellipse and arrow
annotation('ellipse',...
    [0.241216216216215 0.5575 0.0810810810810803 0.15],'LineWidth',2);
annotation('textarrow',[0.282837837837837 0.182837837837837],...
    [0.5575 0.5575],'LineWidth',2,'FontSize',13);

annotation('ellipse',...
    [0.59797297297297 0.555 0.0810810810810801 0.15],'LineWidth',2);
annotation('textarrow',[0.637351351351349 0.737351351351349],...
    [0.555 0.555],'LineWidth',2,'FontSize',13);

%Place text wit # of samples
text('FontWeight','bold', 'FontSize', 12, 'String','Batch 1: 28 Samples',...
    'Position',[17.7 0.040 0]);
text('FontWeight','bold', 'FontSize', 12, 'String','Batch 2: 28 Samples',...
    'Position',[17.7 0.017 0]);

%Mention device type
text('FontWeight','bold','FontSize',12,'String','PMOS',...
    'Position',[12.4 0.326 0]);

