function [ V_fo ] = first_order(T_axis, V, T)
%Approximates the curve (at T), specified by T_axis and V using first order
%interpolation. T is allowed to be a vector.
V_fo = zeros(1,length(T));
t = length(T_axis);
fit = zeros(t-1, 2);

%Compute the first order interpolation
for k=1:t-1
    fit(k,:) = polyfit(T_axis(1,k:k+1), V(1,k:k+1), 1); 
end

%Find the corresponding temperature interval
interval = zeros(length(T), 1);

for k=1:length(T)
    if(T(k) >= T_axis(1,end))
       continue; 
    elseif (T(k) < T_axis(1,1))
        continue;
    end

    for m=1:t
        if (~(T(k) >= T_axis(1,m)))
        interval(k,1) = m; 
        break;
        end 
    end
end

%Use the earlier calculated approximation to compute V(T)
for k=1:length(T)
    if(interval(k,1)==0)
        V_fo(1,k) = NaN;
    else
        V_fo(1,k) = polyval(fit(interval(k,1)-1,:), T(k));
    end

end