function [T, Vref_bare, Vref_chop, Vref_dem, Vref_full] = get_data_2()
%GET_DATA Retrieve the data from the DEM references for a particular chip.

%-----------Hardcode which chips will be used------------------------------
chip = [2 3 4 5];
%--------------------------------------------------------------------------

nr_chips = length(chip);
nr_inst = nr_chips * 4; %4 instances per chip

%Allocate space
T=zeros(nr_inst, 1);
Vref_bare = zeros(nr_inst, 1);
Vref_chop = zeros(nr_inst, 1);
Vref_dem = zeros(nr_inst, 1);
Vref_full = zeros(nr_inst, 1);

for k=1:nr_chips

%See how many datasets there are for this chip
path = sprintf('After_Discarding/Chip%d/DEM*.mat', chip(k));
a = dir(path);
nr_Tpoints = numel(a);




    for j=1:nr_Tpoints

        loc = sprintf('After_Discarding/Chip%d/DEM%d.mat', chip(k), j);
        load(loc);

        for ref = 25:28
            %Temperature vector
            T((ref-24)+(k-1)*4,j) = temperature2;

            %No compenstation, take first datapoint
            Vref_bare((ref-24)+(k-1)*4,j) = Vref(ref, 1);     

            %Only chopping, take average of first DEM phase for both chopping
            %phases
            Vref_chop((ref-24)+(k-1)*4,j) = mean([Vref(ref,1), Vref(ref,17)], 'omitnan');

            %Only DEM, take average of all DEM phases for 1 chopping phase
            Vref_dem((ref-24)+(k-1)*4,j) = mean(Vref(ref, 1:16), 'omitnan');

            %Both DEM and chopping
            Vref_full((ref-24)+(k-1)*4,j) = mean(Vref(ref, 1:32), 'omitnan');

        end

    end


end

%Remove 0's
Vref_bare(T == 0) = NaN;
Vref_chop(T == 0) = NaN;
Vref_dem(T == 0) = NaN;
Vref_full(T == 0) = NaN;

T(T == 0) = NaN;

end

