%Job van Staveren, 12-02-2022

clear all;
close all;

load('Vref_PCTAT.mat');

refs = 1;

%Vref comparison
figure(1)

grid on
width=255;
height=230;
set(gcf,'units','points','position',[300,300,width,height])
set(gca,'fontweight','bold','fontsize',13)
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

hold on
for j=refs
   h1 = plot(temp(j,:), data_vref_src(j,:), '-o', 'Color',[0 0.447 0.741], 'LineWidth', 1.5); 
   h2 = plot(temp(j,:), data_vref_gnd(j,:), '-o', 'Color', [0.85 0.325 0.098], 'LineWidth', 1.5);
   h3 = plot(temp(j,:), data_vref_gate(j,:), '-o', 'Color', [0.466 0.674 0.188], 'LineWidth', 1.5);
end
hold off

xlabel('Temperature [K]')
ylabel('V_{ref} [V]')
ylim([0.4 0.52]); yticks([0.4 0.42 0.44 0.46 0.48 0.5 0.52]);
grid on

leg1 = legend('\phi_1: V_b= V_s', '\phi_2: V_b= 0', '\phi_3: V_b= V_g');
legend boxoff
set(leg1,'Position',[0.484814034708557 0.421281103687876 0.385294110634748 0.270358298617]);


%PCTAT
figure(2)

grid on
width=285;
height=230;
set(gcf,'units','points','position',[300,300,width,height])
set(gca,'fontweight','bold','fontsize',13)

yyaxis left
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

hold on
for j=refs
   h7 = plot(temp(j,:), data_vctat_src(j,:), '-o', 'Color',[0 0.447 0.741], 'LineWidth', 1.5); 
   h8 = plot(temp(j,:), data_vctat_gnd(j,:), '-o', 'Color', [0.85 0.325 0.098], 'LineWidth', 1.5);
   h9 = plot(temp(j,:), data_vctat_gate(j,:), '-o', 'Color', [0.466 0.674 0.188], 'LineWidth', 1.5);
end
hold off
ylabel('V_{gs6} [V]')


yyaxis right
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

hold on
for j=refs
   h10 = plot(temp(j,:), data_vptat_src(j,:), '-o', 'Color',[0 0.447 0.741], 'LineWidth', 1.5); 
   h11 = plot(temp(j,:), data_vptat_gnd(j,:), '-o', 'Color', [0.85 0.325 0.098], 'LineWidth', 1.5);
   h12 = plot(temp(j,:), data_vptat_gate(j,:), '-o', 'Color', [0.466 0.674 0.188], 'LineWidth', 1.5);
end
hold off

ylabel('V_{R2} [V]')
xlabel('Temperature [K]')
grid on

leg2 = legend('\phi_1', '\phi_2', '\phi_3');
legend boxoff
set(leg2,'Position',[0.336582119617182 0.672095519291332 0.469444434675905 0.270358298617]);

annotation('ellipse',...
    [0.2795 0.2927 0.0811 0.15],'LineWidth',2);
annotation('textarrow',[0.3189 0.4189],...
    [0.292654723127036 0.292654723127036],'LineWidth',2,'FontSize',13);

annotation('textarrow',[0.388421052631579 0.288421052631579],...
    [0.526294788273616 0.526294788273616],'LineWidth',2,'FontSize',13);
annotation('ellipse', [0.346799431009957 0.526294788273616 0.0810810810810805 0.301066775244299],'LineWidth',2);




%Vptat difference
figure(3)

grid on
width=270;
height=230;
set(gcf,'units','points','position',[300,300,width,height])
set(gca,'fontweight','bold','fontsize',13)
set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

hold on
for j=refs
   h4 = plot(temp(j,:), data_vptat_src(j,:)-data_vptat_gnd(j,:), '-s', 'Color',[0 0 0], 'LineWidth', 1.5); 
   h5 = plot(temp(j,:), data_vptat_src(j,:)-data_vptat_gate(j,:), '-^', 'Color', [0 0 0], 'LineWidth', 1.5);
   h6 = plot(temp(j,:), data_vptat_gnd(j,:)-data_vptat_gate(j,:), '-o', 'Color', [0 0 0], 'LineWidth', 1.5);
end
hold off

yticks([0 0.01 0.02 0.03 0.04])
xlabel('Temperature [K]')
ylabel('{\Delta}V_{R2} [V]')
grid on

leg3 = legend([h4 h5 h6], 'V_{R2}(\phi_1)-V_{R2}(\phi_2)', 'V_{R2}(\phi_1)-V_{R2}(\phi_3)', 'V_{R2}(\phi_2)-V_{R2}(\phi_3)');
legend boxoff
set(leg3,'Position',[0.220646447102562 0.65906620333042 0.469444434675906 0.270358298617]);

%Vctat difference
figure(4)

grid on
width=270;
height=230;
set(gcf,'units','points','position',[300,300,width,height])
set(gca,'fontweight','bold','fontsize',13)

set(gca, 'XColor', 'k', 'YColor', 'k', 'GridColor', 'k')

hold on
for j=refs
   h13 = plot(temp(j,:), data_vctat_src(j,:)-data_vctat_gnd(j,:), '-s', 'Color',[0 0 0], 'LineWidth', 1.5); 
   h14 = plot(temp(j,:), data_vctat_src(j,:)-data_vctat_gate(j,:), '-^', 'Color', [0 0 0], 'LineWidth', 1.5);
   h15 = plot(temp(j,:), data_vctat_gnd(j,:)-data_vctat_gate(j,:), '-o', 'Color', [0 0 0], 'LineWidth', 1.5);
end
hold off
ylabel('{\Delta}V_{gs6} [V]')
xlabel('Temperature [K]')
ylim([-0.04 0.08])
yticks([-2:1:4]*0.02)

leg4 = legend([h13 h14 h15], 'V_{gs6}(\phi_1)-V_{gs6}(\phi_2)', 'V_{gs6}(\phi_1)-V_{gs6}(\phi_3)', 'V_{gs6}(\phi_2)-V_{gs6}(\phi_3)');
legend boxoff
set(leg4,'Position',[0.240090892043713 0.418023858053548 0.502777767015828 0.270358298617]);

